{% extends '_base.html' %}

{% block content %}

<div class="px-2 p-md-2 p-xl-4">
    <div class=" px-md-4">
        <div class="mt-5">
            <div class="row">
                <div class="col-lg-2"></div>
                <div class="col-lg-8"> <a href="{%url 'home'%}"><- Back to rooms</a></div>
            </div>
            <div class="mt-5"></div>
            <div class="row">
                <div class="col-lg-2"></div>
                <div class="col-lg-8">
                    {% if error %}
                        <div class="alert alert-danger" role="alert">
                            {{error}}
                        </div>
                    {% endif %}
                    <form method="POST" action=".">
                        {%csrf_token%}
                        <div class="form-group">
                            <label for="room_name" class="text-secondary"><strong>Room Name</strong></label>
                            <div class="ml-5">
                                <input type="text" value="{{room.room_name}}" class="form-control" name="room_name" aria-describedby="room name" placeholder="{{room.room_name}}">
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="room_name" class="text-secondary"><strong>Guest Policy</strong></label>
                            <br>
                            <div class="ml-5">
                                <input type="radio" name="room_guest_policy" value="open" {% if room.room_guest_policy == "open"%}checked{%endif%} > Open
                                <input type="radio" name="room_guest_policy" value="approval" {% if room.room_guest_policy == "approval"%}checked {%endif%}> Moderator Allowed
                                <input type="radio" name="room_guest_policy" value="password" {% if room.room_guest_policy == "password"%}checked {%endif%}> Password based
                                <input style="display:none;" type="text" name="password" id="password" value="{{room.room_password|default_if_none:''}}" placeholder="Enter room password here"/>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="room_name" class="text-secondary"><strong>Room Policy</strong></label>
                            <br>
                            <div class="ml-5">
                                <!-- <input type="checkbox" name="room_mute_all_on_start" {% if room.room_mute_all_on_start%}checked {%endif%} > Start meeting muted -->
                                <input type="checkbox" name="room_participant_webcam" {% if room.room_participant_webcam%}checked {%endif%} > Disable webcams
                                <input type="checkbox" name="room_all_moderators" {% if room.room_all_moderators%}checked {%endif%} > All are moderators
                            </div>
                        </div>
                        <button type="submit" class="btn btn-primary">Update</button>
                    </form>
                    <form action="{% url 'delete_room' room_name=room.room_name room_id=room.room_id %}" method="post">
                        <input type="hidden" name="room_id" value="{{ room.room_id }}">
                        {% csrf_token %}
                        <button class="btn btn-danger text-light" type="submit">Delete Room</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock content %}

{% block javascript %}
<script>
$(document).ready( function () {
    $("input[type='radio']").click(function(){
        if($(this).val()=="password")
        {
            $("#password").show();
        }
        else
        {
            $("#password").hide();
        }
    });
    if ($("input[name='room_guest_policy']:checked").val() == "password"){
        $("input[name='room_guest_policy']").click()       
    }
 
});
</script>

{% endblock javascript %}